"""Add password field

Revision ID: ba9c3fbefbf8
Revises: ce804e4cbf3d
Create Date: 2022-03-10 09:33:02.668948

"""
import sqlalchemy as sa

from alembic import op

# revision identifiers, used by Alembic.
revision = "ba9c3fbefbf8"
down_revision = "ce804e4cbf3d"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "lines",
        sa.Column("password", sa.String(length=255), nullable=True, default="Aptiv703"),
    )
    op.execute("UPDATE lines SET password = 'Aptiv703'")
    op.alter_column("lines", "password", nullable=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("lines", "password")
    # ### end Alembic commands ###
